KILLALL5(8)

NAZWA
killall5 - wysyła sygnał do wszystkich procesów

SKŁADNIA
killall5 -numer-sygnału [-o pomiń-pid[,pomiń-pid...]] [-o pomiń-pid[,pomiń-pid...]...]

OPIS
killall5 jest poleceniem killall z SystemV. Wysyła sygnał do wszystkich procesów, poza procesami jądra i procesami swojej sesji, więc nie ubije powłoki, w której pracuje skrypt, w którym wywołano tę komendę. Podstawowym (jedynym) zastosowaniem polecenia jest użycie w plikach startowych rc, z katalogu /etc/init.d.

OPCJE

-o pomiń-pid
    Nakazuje killall5 pomijać procesy o podanym identyfikatorze procesu.

UWAGI
killall5 może zostać wywołany również jako pidof(8), który jest dowiązaniem symbolicznym do programu killall5.

KOD ZAKOŃCZENIA
Program zwraca zero, jeśli istnieje zabity proces. Zwraca 2, gdy nie zabito żadnego procesu i 1, gdy nie udało się znaleźć żadnego procesu (brak /proc/).

ZOBACZ TAKŻE
halt(8), reboot(8), pidof(8)

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)